#
# spec file for package purpose
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%bcond_without lang
Name:           purpose
Version:        1.1
Release:        2.3
%define kf5_version 5.7.0
%define rversion 1.1
BuildRequires:  cmake >= 2.8.12
BuildRequires:  extra-cmake-modules >= 1.7.0
BuildRequires:  intltool
BuildRequires:  kaccounts-integration-devel
BuildRequires:  kconfig-devel >= %{kf5_version}
BuildRequires:  kcoreaddons-devel >= %{kf5_version}
BuildRequires:  kdeclarative-devel >= %{kf5_version}
BuildRequires:  kf5-filesystem
BuildRequires:  ki18n-devel >= %{kf5_version}
BuildRequires:  kio-devel >= %{kf5_version}
BuildRequires:  libaccounts-glib-devel
BuildRequires:  libaccounts-qt5-devel
BuildRequires:  libsignon-qt5-devel
BuildRequires:  pkgconfig(Qt5Core) >= 5.2.0
BuildRequires:  pkgconfig(Qt5Gui) >= 5.2.0
BuildRequires:  pkgconfig(Qt5Qml) >= 5.2.0
BuildRequires:  pkgconfig(Qt5Test) >= 5.2.0
%if %{with lang}
Recommends:     %{name}-lang
%endif
Summary:        Provides abstractions to get the developer's purposes fulfilled
License:        LGPL-2.1+
Group:          System/GUI/KDE
Url:            http://www.kde.org
Source:         http://download.kde.org/stable/%{name}/%{name}-%{rversion}.tar.xz
Source1:        baselibs.conf
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Framework for providing abstractions to get the developer's purposes fulfilled.

%package devel
Summary:        Provides abstractions to get the developer's purposes fulfilled: Build Environment
Group:          Development/Libraries/KDE
Requires:       %{name} = %{version}
Requires:       extra-cmake-modules
Requires:       kcoreaddons-devel >= %{kf5_version}

%description devel
Framework for providing abstractions to get the developer's purposes fulfilled.
Development files.

%lang_package
%prep
%setup -q -n %{name}-%{rversion}

%build
  %cmake_kf5 -d build
  %make_jobs

%install
  %kf5_makeinstall -C build

%if %{with lang}
  %find_lang libpurpose_quick %{name}.lang
  %find_lang libpurpose_widgets %{name}.lang
  %find_lang purpose_imgur %{name}.lang
  %find_lang purpose_ktp-sendfile %{name}.lang
  %find_lang purpose_pastebin %{name}.lang
  %find_lang purpose_reviewboard %{name}.lang
  %find_lang purpose_saveas %{name}.lang
  %find_lang purpose_youtube %{name}.lang
%endif

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%if %{with lang}
%files lang -f %{name}.lang
%defattr(-,root,root)
%endif

%files
%defattr(-,root,root)
%doc COPYING*
%{_kf5_libdir}/libKF5Purpose.so.*
%{_kf5_libdir}/libKF5PurposeWidgets.so.*
%{_kf5_libdir}/libReviewboardHelpers.so
%{_kf5_libexecdir}/
%{_kf5_sharedir}/purpose/
%{_kf5_sharedir}/kpackage/
%{_kf5_plugindir}/
%{_kf5_qmldir}/
%{_kf5_iconsdir}/hicolor/*/actions/kipiplugin_youtube.*
%{_kf5_iconsdir}/hicolor/*/apps/reviewboard-purpose.*
%{_kf5_sharedir}/accounts/

%files devel
%defattr(-,root,root)
%{_kf5_libdir}/libKF5Purpose.so
%{_kf5_libdir}/libKF5PurposeWidgets.so
%{_kf5_libdir}/cmake/KDEExperimentalPurpose/
%{_kf5_includedir}/

%changelog
* Wed Jul 13 2016 hrvoje.senjan@gmail.com
- Update to 1.1
  * No changelog provided
* Sat Oct  3 2015 hrvoje.senjan@gmail.com
- Update to 1.0
  * No changelog provided
- Drop build.patch, upstreamed
* Tue Aug 18 2015 hrvoje.senjan@gmail.com
- Install license
* Mon Aug 17 2015 hrvoje.senjan@gmail.com
- Don't ship reviewboard icon, it's delivered with kdevplatform
* Sun Aug  9 2015 hrvoje.senjan@gmail.com
- Activate purpose package
